post
https://api.sumsub.com/resources/accessTokens/sumsubIdShareToken
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Overview
Use this method to obtain a Sumsub ID share token so as to share the Sumsub ID profile with your partner as described in Sumsub ID Connect.
Note
- By default, the Sumsub ID share token expires after 1800 seconds, unless otherwise specified in the request.
Required permissions
This method requires the Share applicants data dashboard permission. App tokens and team members must have a role that includes this permission; otherwise, the request fails with a permission error.
Request example
curl -X POST \
'https://api.sumsub.com/resources/accessTokens/sumsubIdShareToken' \
-H 'content-type: application/json' \
-H 'X-App-Token: <your-app-token>' \
-H 'X-App-Access-Sig: <your-signature>' \
-H 'X-App-Access-Ts: <unix-timestamp>' \
-d '{
"sumsubIdConnectToken": "snd-id-con-a-WRT7FRBRfdejpsDR8a_cYeX9BU32QP_I_Hyc93saZcg5965PfGzrHGDEdrTRseop",
"forClientId": "CoolCompanyLtd",
"ttlInSecs": "1800"
}'Response explained
In the response, you will get a new Sumsub ID share token.
The following fields are returned:
| Field | Type | Description |
|---|---|---|
token | String | The share token generated upon execution of the request. |
forClientId | String | Unique partner identifier as specified in the request. |
sharingAllowed | Boolean | Checks if Sumsub ID account has already given authorisation to share with the provided forClientID |
Response examples
If the request is successfully sent and processed, you will get a response like the one below.
{
"token": "_act-snsId-08c4d85d-d0ae-43d6-81e9-a57d4f8e3768",
"forClientId": "internal_staff",
"sharingAllowed": true
}If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:
{
"code": 400,
"correlationId": "acd9fed2554d53a5a49ccbdhtu57jg87",
"description": "'forClientId' and 'sumsubIdConnectToken' must be provided for creating Sumsub ID share token"
}Error codes with descriptions
| Error code | Error name | Description |
|---|---|---|
| 10600 | sumsub-id-profile-not-found | The profile associated with the Sumsub ID Connect token could not be found. This could be because the profile was deleted. |
| 10601 | sumsub-id-profile-blocked | The profile associated with the Sumsub ID Connect token has been blocked and cannot be used. |
| 10602 | sumsub-id-app-disconnected | The profile associated with the Sumsub ID Connect token has revoked the connection between their Sumsub ID and your app. |
| 10603 | sumsub-id-access-token-invalid | Sumsub ID Connect token is malformed or expired. |
| 10604 | sumsub-id-connect-disabled | Sumsub ID Connect is not enabled for your client key. |